Subject: Re: [DNSOP] Request for Comments on Internet Draft about IoT DNS Name Autoconf

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sun, 19 Jul 2015 20:44:00 +0200

Manning,
I will add this thread to DNSOP WG and 6lo WG.
This is because a good target application area of my draft is 6lo
environment.
Today I discussed my draft with Samita, who is a co-chair of 6lo WG.
She recommended to me that I can announce my draft to 6lo WG.

DNSOP WG and 6lo WG,
if you have time and interest in DNS autoconfiguration for constrained
nodes (e.g., IoT devices),
please attend 6MAN WG meeting from 1PM to 3PM tomorrow (at Congress Hall
III).
My presentation will be the last one.

My draft on DNS name autoconfiguration for constrained nodes can be found in
https://tools.ietf.org/html/draft-jeong-homenet-device-name-autoconf-03

Also, you two WG people can give me your comments by email.

Thanks.

Paul

On Fri, Jul 17, 2015 at 6:26 AM, manning <[email-masked]> wrote:

> The reason I ask is that the title is about DNS name autoconfig.  It might
> be reasonable to run a parallel stream in DNSOPs, in the unlikely event of
> problems.
> manning
> [email-masked]
> PO Box 12317
> Marina del Rey, CA 90295
> 310.322.8102
>
>
>
> On 16July2015Thursday, at 12:19, Mr. Jaehoon Paul Jeong <
> [email-masked]> wrote:
>
> > Hi Manning,
> > Sure, my proposal can be discussed in DNSOPS WG.
> > Since my proposal uses IPv6 ND(neighbor discovery) and NI(node
> information) query,
> > 6MAN WG will be a good place to discuss it first.
> > After that, if needed, I will be able to introduce it to DNSOPS WG.
> >
> > Thanks.
> >
> > Paul
> >
> > On Fri, Jul 17, 2015 at 2:29 AM, manning <[email-masked]> wrote:
> > Ted et.al.   Is there a good reason this is not being discussed in the
> DNSOPS WG?
> >
> >
> > manning
> > [email-masked]
> > PO Box 12317
> > Marina del Rey, CA 90295
> > 310.322.8102
> >
> >
> >
> > On 14July2015Tuesday, at 11:16, Ted Hardie <[email-masked]> wrote:
> >
> > > Dear Professor Jeong,
> > >
> > > Thank you for sharing the update to your draft.  I note that in the
> security section of your draft that you make the following proposal:
> > >   to prevent the disclosure of location information for privacy
> > >   concern, the subdomains related to location can be encrypted by a
> > >   shared key or public-and-private keys.  For example, a DNS name of
> > >   smartphone1.living_room.home can be represented as
> > >   smartphone1.xxx.home where xxx is a string of the encrypted
> > >   representation of the subdomain living_room.
> > >
> > > First, I believe that there are more privacy concerns here than
> location privacy.  The base format:
> > >
> > >
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> > >    |
> unique_id.device_model.device_category.mic_loc.mac_loc.domain_name|
> > >
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> > >
> > >
> > > proposes to include both the device model and a unique identifier.
> > > A naive implementation could easily select its serial number, which
> > > would clearly be problematic; even the device model may be an issue
> for certain cases (e.g. a medical device).
> > >
> > > Second, the delegation model here seems to require a consistent view
> of both device categories and location names.  How do you see that being
> produced?
> > >
> > > Lastly, the privacy mitigation given is not yet clear to me.  How
> would a user of the DNS determine how to decrypt the encrypted strings?  If
> the point of the effort is autoconfiguration, relying on out-of-band
> configuration for this  seems contrary to the goal.  If you distribute the
> decryption keys within the DNS, however, you are likely to lose whatever
> privacy protection is provided.  Can you explain this further?
> > > regards,
> > >
> > > Ted Hardie
> > >
> > >
> > > On Tue, Jul 14, 2015 at 6:31 AM, Mr. Jaehoon Paul Jeong <
> [email-masked]> wrote:
> > > Hi 6MAN WG,
> > > This is Paul.
> > >
> > > I would like to let you know a draft for IoT Device DNS Name
> Autoconfiguration:
> > >
> > >
> ----------------------------------------------------------------------------
> > > DNS Name Autoconfiguration for Internet of Things Devices
> > > (draft-jeong-homenet-device-name-autoconf-03)
> > >
> > >
> https://tools.ietf.org/html/draft-jeong-homenet-device-name-autoconf-03
> > >
> > > Abstract
> > >    This document specifies an autoconfiguration scheme for DNS names of
> > >    Internet of Things (IoT) devices, such as appliances and sensors.
> By
> > >    this scheme, the DNS name of an IoT device can be autoconfigured
> with
> > >    the device's category and model in wired and wireless networks
> (e.g.,
> > >    home, office, shopping mall, smart grid, and road network).  This
> DNS
> > >    name lets IoT users (e.g., home residents and customers) easily
> > >    identify each device for monitoring and remote-controlling it in a
> > >    target network.
> > >
> ----------------------------------------------------------------------------
> > >
> > > This draft is a follow-up IETF draft of RFC6106-bis for IPv6 RA RDNSS
> and
> > > DNSSL options for IPv6 Host DNS Configuration:
> > >
> > > https://tools.ietf.org/html/draft-jeong-6man-rdnss-rfc6106-bis-00
> > >
> > > For this draft, three organizations (i.e., SKKU, ETRI, and Jubix)
> > > are developing a prototype of our proposed IoT DNS name
> autoconfiguration
> > > on top of a smart grid platform to collect the usage of electonic
> meters over
> > > IPv6/6lo/SUN (Smart Utility Network, IEEE 802.15.4g) in a smart grid in
> > > Korea Electric Power Corporation (KEPCO).
> > >
> > > We believe that the proposed scheme will be useful in a variety of
> > > environments using IPv6, such as smart grid, smart home, smart mall,
> smart factory,
> > > and smart Intelligent Transportation Systems (ITS).
> > >
> > > I think that this IoT DNS name autoconfiguration will be an enabler
> such that
> > > IPv6 will be a key network layer of such IoT environments.
> > >
> > > In this IETF meeting, I will briefly introduce this scheme along with
> our prototype.
> > > Please read our draft and give us your comments by email before the
> 6MAN WG
> > > meeting in Prague:
> > >
> > >
> https://tools.ietf.org/html/draft-jeong-homenet-device-name-autoconf-03
> > >
> > > Thanks.
> > >
> > > Paul
> > > ===========================
> > > Jaehoon (Paul) Jeong
> > > Assistant Professor
> > > Department of Software
> > > Sungkyunkwan University
> > > Mobile: +82-10-4758-1765
> > > Email: [email-masked], [email-masked]
> > > URI: http://cpslab.skku.edu/people-jaehoon-jeong.php
> > >
> > >
> > > --------------------------------------------------------------------
> > > IETF IPv6 working group mailing list
> > > [email-masked]
> > > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > > --------------------------------------------------------------------
> > >
> > >
> > > --------------------------------------------------------------------
> > > IETF IPv6 working group mailing list
> > > [email-masked]
> > > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > > --------------------------------------------------------------------
> >
> >
> >
> >
> > --
> > ===========================
> > Mr. Jaehoon (Paul) Jeong, Ph.D.
> > Assistant Professor
> > Department of Software
> > Sungkyunkwan University
> > Office: +82-31-299-4957
> > Email: [email-masked], [email-masked]
> > Personal Homepage: http://cpslab.skku.edu/people-jaehoon-jeong.php
>
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Assistant Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://cpslab.skku.edu/people-jaehoon-jeong.php